apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: payroll-qa
  namespace: argocd
  labels:
    name: payroll
    source: payrollengine
    env: dev
spec:
  project: payroll
  source:
    repoURL: 'https://github.com/deployed-online/k8s-in-ovh'
    targetRevision: HEAD
    path: k8s-deployment/payrollengine
    directory:
      recurse: true
  destination:
    namespace: payroll
    server: 'https://kubernetes.default.svc'
